<?php
session_start();

include "configbd.php";


function validaCPF($cpf) {
if($cpf=='11111111111' || $cpf=='22222222222'  || $cpf=='33333333333' || $cpf=='44444444444'|| $cpf=='55555555555' || $cpf=='66666666666'|| $cpf=='77777777777' || $cpf=='88888888888' || $cpf=='99999999999'|| $cpf=='00000000000'){
return false;
}

    $tam_cpf = strlen($cpf); 
    $cpf_limpo = "";
    for ($i=0; $i<$tam_cpf; $i++) { 
      $carac = substr($cpf, $i, 1); 
      if (ord($carac)>=48 && ord($carac)<=57) // verifica se o codigo asc refere-se a 0-9 
        $cpf_limpo .= $carac; 
    } 
    if (strlen($cpf_limpo)!=11) 
      return false; 
 
    // achar o primeiro digito verificador 
    $soma = 0; 
    for ($i=0; $i<9; $i++) 
      $soma += (int)substr($cpf_limpo, $i, 1) * (10-$i); 
 
    if ($soma == 0) 
      return false; 
 
    $primeiro_digito = 11 - $soma % 11; 
 
    if ($primeiro_digito > 9) 
      $primeiro_digito = 0; 
 
    if (substr($cpf_limpo, 9, 1) != $primeiro_digito) 
      return false; 
 
    // acha o segundo digito verificador 
    $soma = 0; 
    for ($i=0; $i<10; $i++) 
      $soma += (int)substr($cpf_limpo, $i, 1) * (11-$i); 
 
    $segundo_digito = 11 - $soma % 11; 
 
    if ($segundo_digito > 9) 
      $segundo_digito = 0; 
 
    if (substr($cpf_limpo, 10, 1) != $segundo_digito) 
      return false; 
 
    return true; 
  } 

///VALIDAR CPF

$cpf=$_POST["cpf"];
$sinais= array("/"," ",".","-",",");
      $cpf=str_replace($sinais,"",$cpf);


$validando =  validaCPF($cpf); 
// verificando se o resultado foi true ou false
if($validando) {
$cpf_validado=preg_replace( '#[^0-9]#', '', $cpf );
$valor = substr($cpf_validado , 0, 3);
$cpf = str_pad($valor, 3, "0", STR_PAD_LEFT).".".substr($cpf_validado , 3, 3).".".substr($cpf_validado , 6, 3)."-".substr($cpf_validado , 9, 2);

} else {

	die(msg(0,"Digite um cpf v&#225;lido"));
}




// VERIFICA EMAIL E NOME DE NUCLEO
$sql_verifica1 = "SELECT * FROM senuc_login where email='".$_POST['email']."'";
$busca1 = mysql_query($sql_verifica1,$conexao);
$linhas1=mysql_num_rows($busca1);
$sql_verifica2 = "SELECT * FROM senuc_login where username='".$_POST['email']."'";
$busca2 = mysql_query($sql_verifica2,$conexao);
$linhas2=mysql_num_rows($busca2);
$sql_verifica3 = "SELECT * FROM senuc_nucleo where nome='".$_POST['nome_nucleo']."'";
$busca3 = mysql_query($sql_verifica3,$conexao);
$linhas3=mysql_num_rows($busca3);

if($linhas1!=0)
{
	die(msg(0,"Favor informar outro email! O email informado consta em nosso sistema"));
}
if($linhas2!=0)
{
	die(msg(0,"Favor informar outro email! O email informado consta em nosso sistema"));
}
if($linhas3!=0)
{
	die(msg(0,"Favor escolher outro nome para seu N&#250;cleo!O nome informado consta em nosso sistema"));
}



if(empty($_POST['nome']) || empty($_POST['cpf']) ||  empty($_POST['sexo']) || empty($_POST['estado']) || empty($_POST['cidade'])|| empty($_POST['endereco']) || empty($_POST['telefone']) || empty($_POST['celular']) || empty($_POST['operadora']) || empty($_POST['email']) || empty($_POST['confirma_email']) || empty($_POST['dia'])   || empty($_POST['mes']) || empty($_POST['ano']) || empty($_POST['etnia']) || empty($_POST['escolaridade']) || empty($_POST['renda']) || empty($_POST['nome_nucleo']) || empty($_POST['tipo_nucleo']) || empty($_POST['prepara_para']) ||empty($_POST['funciona_em']) || empty($_POST['estado_nucleo']) || empty($_POST['cidade_nucleo']) || empty($_POST['cidade']) || empty($_POST['endereco_nucleo']) || empty($_POST['cep_nucleo']) || empty($_POST['telefone_nucleo']) || empty($_POST['regional']) || empty($_POST['email_nucleo']) || empty($_POST['confirma_email_nucleo']) || empty($_POST['bolsista']))
{

	die(msg(0,"Todos os campos (exceto site do n&#250;cleo) s&#227;o necess&#225;rios"));

}


if(!(preg_match("/^[\.A-z0-9_\-\+]+[@][A-z0-9_\-]+([.][A-z0-9_\-]+)+[A-z]{1,4}$/", $_POST['email'])))
	die(msg(0,"Digite um email v&#225;lido"));

if(!(preg_match("/^[\.A-z0-9_\-\+]+[@][A-z0-9_\-]+([.][A-z0-9_\-]+)+[A-z]{1,4}$/", $_POST['email_nucleo'])))
	die(msg(0,"Digite um email v&#225;lido para o N&#250;cleo"));


if($_POST['email'] != $_POST['confirma_email'])
{
	die(msg(0,"A confirma&#231;&#227;o de email n&#227;o &#233; igual ao email informado"));
}

if($_POST['email_nucleo'] != $_POST['confirma_email_nucleo'])
{
	die(msg(0,"A confirma&#231;&#227;o de email do N&#250;cleo n&#227;o &#233; igual ao email informado"));
}


if ($_POST["codigo"] != $_SESSION["codigo"])
{
	die(msg(0,"Captcha incorreto! Digite Novamente!"));


}






// Here you must put your code for validating and escaping all the input data,
// inserting new records in your DB and echo-ing a message of the type:

// echo msg(1,"/member-area.php");

// where member-area.php is the address on your site where registered users are
// redirected after registration.

$nome = mysql_escape_string(strip_tags(trim($_POST['nome']))); 
$cpf = mysql_escape_string(strip_tags(trim($_POST['cpf'])));
$sexo = mysql_escape_string(strip_tags(trim($_POST['sexo']))); 
$estado = mysql_escape_string(strip_tags(trim($_POST['estado']))); 
$cidade = mysql_escape_string(strip_tags(trim($_POST['cidade'])));
$endereco = mysql_escape_string(strip_tags(trim($_POST['endereco']))); 
$telefone = mysql_escape_string(strip_tags(trim($_POST['telefone'])));
$celular = mysql_escape_string(strip_tags(trim($_POST['celular']))) ;
$operadora = mysql_escape_string(strip_tags(trim($_POST['operadora']))); 
$email = mysql_escape_string(strip_tags(trim($_POST['email']))) ;
$dia = mysql_escape_string(strip_tags(trim($_POST['dia'])))  ;
$mes = mysql_escape_string(strip_tags(trim($_POST['mes'])));
$ano = mysql_escape_string(strip_tags(trim($_POST['ano']))) ;
$etnia = mysql_escape_string(strip_tags(trim($_POST['etnia']))); 
$escolaridade = mysql_escape_string(strip_tags(trim($_POST['escolaridade']))) ;
$renda = mysql_escape_string(strip_tags(trim($_POST['renda']))) ;
$nome_nucleo = mysql_escape_string(strip_tags(trim($_POST['nome_nucleo']))) ;
$tipo_nucleo = mysql_escape_string(strip_tags(trim($_POST['tipo_nucleo'])));

$estado_nucleo = mysql_escape_string(strip_tags(trim($_POST['estado_nucleo'])));
$cidade_nucleo = mysql_escape_string(strip_tags(trim($_POST['cidade_nucleo'] ))); 
$endereco_nucleo= mysql_escape_string(strip_tags(trim($_POST['endereco_nucleo']))) ;
$cep_nucleo = mysql_escape_string(strip_tags(trim($_POST['cep_nucleo']))) ;
$telefone_nucleo = mysql_escape_string(strip_tags(trim($_POST['telefone_nucleo']))) ;
$regional = mysql_escape_string(strip_tags(trim($_POST['regional']))) ;
$site_nucleo = mysql_escape_string(strip_tags(trim($_POST['site_nucleo']))) ;
$email_nucleo = mysql_escape_string(strip_tags(trim($_POST['email_nucleo'])));

$bolsista = mysql_escape_string(strip_tags(trim($_POST['bolsista']))) ;



$campo = $_REQUEST['prepara_para'];
$selected_cnt   = count($campo); 
$prepara_para = "";
for ($i = 0; $i < $selected_cnt; $i++){ 
        $prepara_para .= $campo[$i]; 
        $prepara_para .= ($i+1 <  $selected_cnt)? ",": "";
} 


$campo2 = $_REQUEST['funciona_em'];
$selected_cnt2   = count($campo2); 
$funciona_em = "";
for ($i = 0; $i < $selected_cnt2; $i++){ 
        $funciona_em .= $campo2[$i]; 
        $funciona_em .= ($i+1 <  $selected_cnt2)? ",": "";
} 



$data_atual = date('Y-m-d');
$min_aluno=0; 
$min_professor=0; 
$min_coordenador=0; 
$nascimento = $ano."-".$mes."-".$dia;

$senha = "827ccb0eea8a706c4c34a16891f84e7b";
//CALCULO META DE FUNCIONAEMNto
if($tipo_nucleo==1){

$meta_funcionamento = $selected_cnt2*4;}

else{
$sql_chave = "SELECT meta_dias_aberto_virtual as dias FROM senuc_config";
$busca_chave = mysql_query($sql_chave,$conexao);
 while($dados_chave = mysql_fetch_assoc($busca_chave)){
$dias_virtual =$dados_chave['dias'];}
$meta_funcionamento = 	$dias_virtual;
}
// CALCULO ALUNOS POR COORDENADOR

if($tipo_nucleo==1){

$sql_chave = "SELECT limite_alunos_por_coordenador as limite_alunos FROM senuc_config";
$busca_chave = mysql_query($sql_chave,$conexao);
 while($dados_chave = mysql_fetch_assoc($busca_chave)){
$alunos_por_coordenador =$dados_chave['limite_alunos'];}

}

//CALCULO META DE ALUNO
if($tipo_nucleo==1){
$sql_chave = "SELECT meta_alunos_presencial as meta_presencial FROM senuc_config";
$busca_chave = mysql_query($sql_chave,$conexao);
 while($dados_chave = mysql_fetch_assoc($busca_chave)){
$meta_alunos =$dados_chave['meta_presencial'];}

}
else{
$sql_chave = "SELECT meta_alunos_virtual as meta_virtual FROM senuc_config";
$busca_chave = mysql_query($sql_chave,$conexao);
 while($dados_chave = mysql_fetch_assoc($busca_chave)){
$meta_alunos =$dados_chave['meta_virtual'];}

}
// CALCULO MINIMO PRESENCA ALUNO_PRESENCIAL
if($tipo_nucleo==1){
$sql_chave = "SELECT min_presenca_aluno as min_aluno FROM senuc_config";
$busca_chave = mysql_query($sql_chave,$conexao);
 while($dados_chave = mysql_fetch_assoc($busca_chave)){
$min_aluno =$dados_chave['min_aluno'];}

}


// CALCULO MINIMO PRESENCA COORDENADOR_PRESENCIAL
if($tipo_nucleo==1){
$sql_chave = "SELECT min_presenca_coordenador as min_coordenador FROM senuc_config";
$busca_chave = mysql_query($sql_chave,$conexao);
 while($dados_chave = mysql_fetch_assoc($busca_chave)){
$min_coordenador =$dados_chave['min_coordenador'];}

}


// CALCULO MINIMO PRESENCA PROFESSOR_PRESENCIAL
if($tipo_nucleo==1){
$sql_chave = "SELECT min_presenca_professor as min_professor FROM senuc_config";
$busca_chave = mysql_query($sql_chave,$conexao);
 while($dados_chave = mysql_fetch_assoc($busca_chave)){
$min_professor =$dados_chave['min_professor'];}

}
// CALCULO MINIMO ATIVIDADES_PRESENCIAL E VIRTUAL
if($tipo_nucleo==1){
$sql_chave = "SELECT min_atividades_presencial as min_presencial FROM senuc_config";
$busca_chave = mysql_query($sql_chave,$conexao);
 while($dados_chave = mysql_fetch_assoc($busca_chave)){
$min_atividades =$dados_chave['min_presencial'];}

}
else{
$sql_chave = "SELECT min_atividades_presencial as min_presencial FROM senuc_config";
$busca_chave = mysql_query($sql_chave,$conexao);
 while($dados_chave = mysql_fetch_assoc($busca_chave)){
$min_atividades =$dados_chave['min_presencial'];}

}




$sql1="INSERT INTO `senuc_nucleo` (`login`, `senha`, `nome`, `responsavel`, `endereco`, `cep`, `estado`, `cidade`, `idregional`, `tipo`, `site`, `email`, `telefone`, `data_inicio`,`prepara_para`,`funciona_em`, `ativo`, `meta_funcionamento`, `meta_alunos`,`limite_alunos_por_coordenador`,`min_presenca_coordenador`,`min_presenca_professor`,`min_presenca_aluno`,`min_atividades`) VALUES
('$email', '$senha', '$nome_nucleo', '$nome', '$endereco_nucleo', '$cep_nucleo', '$estado_nucleo','$cidade_nucleo','$regional','$tipo_nucleo', '$site_nucleo', '$email_nucleo', '$telefone_nucleo', '$data_atual', '$prepara_para', '$funciona_em', 1, '$meta_funcionamento', '$meta_alunos','$alunos_por_coordenador', '$min_coordenador','$min_professor','$min_aluno','$min_atividades')";
$result1 = mysql_query($sql1,$conexao)or die("Falha na execu�ao da instru�ao SQL!  1"); 
$id_nucleo = mysql_insert_id();

$sql2= "INSERT INTO `senuc_coordenador` (`idnucleo`, `nome`, `cpf`, `estado`, `cidade`, `endereco`, `email`, `telefone`, `celular`, `operadora`, `ingresso_nucleo`, `nascimento`, `etnia`, `renda`, `escolaridade`, `bolsista`,  `ativo`,  `idregional`,  `tipo_coordenador`) VALUES
('$id_nucleo', '$nome', '$cpf', '$estado', '$cidade', '$endereco', '$email', '$telefone', '$celular', '$operadora', '$data_atual', '$nascimento','$etnia','$renda','$escolaridade','$bolsista', 1,'$regional',1)";
$result2 = mysql_query($sql2,$conexao) or die("Falha na execu�ao da instru�ao SQL!  2"); 

$sql3="INSERT INTO `senuc_login` (`username`, `nome`, `email`, `telefone`, `celular`, `operadora`, `senha`, `idnucleo`, `idregional`) VALUES
('$email','$nome','$email','$telefone','$celular','$operadora', '$senha', '$id_nucleo','$regional')";
$result3 = mysql_query($sql3,$conexao)or die("Falha na execu�ao da instru�ao SQL!   3"); 
$id_login = mysql_insert_id();

if($tipo_nucleo==1){
$sql4="INSERT INTO `senucnovo_ugmembers` (`UserName`, `GroupID`) VALUES
('$email', 1)";
$result4 = mysql_query($sql4,$conexao)or die("Falha na execu�ao da instru�ao SQL  4 !"); 
}else{
$sql4="INSERT INTO `senucnovo_ugmembers` (`UserName`, `GroupID`) VALUES
('$email', 8)";
$result4 = mysql_query($sql4,$conexao)or die("Falha na execu�ao da instru�ao SQL  4 !"); }


/// GERA CURSO MOODLE

 

$shortname = "";
$array_nome = explode ( " ",$nome_nucleo);
$shortname = $array_nome[0];


$nomecompleto = $nome;
$sobrenome = "";
$array_nome = explode ( " ",$nomecompleto);
$primeiro_nome = $array_nome[0];
for($i=1; $i < count($array_nome); $i++) {
$sobrenome.=" ".$array_nome[$i];

}


include "../conexao_mdl.php";
$sql5="INSERT INTO `mdl_course` (`category`, `sortorder`, `fullname`, `shortname`,  `summary`, `summaryformat`, `format`, `showgrades`,  `startdate`,  `marker`, `maxbytes`, `legacyfiles`, `showreports`, `visible`, `visibleold`, `hiddensections`, `groupmode`, `groupmodeforce`, `defaultgroupingid`, `lang`, `theme`, `timecreated`, `timemodified`) VALUES
(1, '$id_nucleo', '$nome_nucleo', '$shortname', '<p>BEM VINDO AO NÚCLEO EDUCAFRO!!!</p>', 1, 'weeks', 1, UNIX_TIMESTAMP(NOW()), 0, 52428800, 0, 0, 0, 0, 0, 0, 0, 0, 'pt_br', '', UNIX_TIMESTAMP(NOW()), UNIX_TIMESTAMP(NOW()))";


//$sql5 = "INSERT INTO mdl_course (category,fullname,shortname) VALUES (1,'$nome_nucleo','$shortname')";  
$result5 = mysql_query($sql5, $conexao2)or die(mysql_error()."Falha na execu�ao da instru�ao SQL!   5"); 
$id_curso = mysql_insert_id();

$sql6="INSERT INTO mdl_context (contextlevel,instanceid) VALUES (50,'$id_curso')";

$result6 = mysql_query($sql6, $conexao2)or die(mysql_error()."Falha na execu�ao da instru�ao SQL!6");
$id_context = mysql_insert_id();


$sql7="UPDATE  mdl_context SET path='/1/3/".$id_context."', depth=3 WHERE id='$id_context' ";
$result7 = mysql_query($sql7, $conexao2)or die("Falha na execu�ao da instru�ao SQL!- 7");
$sql8="INSERT INTO mdl_course_sections (course,section) VALUES ('$id_curso',0)";
$result8 = mysql_query($sql8, $conexao2)or die("Falha na execu�ao da instru�ao"); 





// INSERE COMO TUTOR COM MESMA SENHA E LOGIN

$sql19="SELECT * from mdl_user where username='$email' order by id desc limit 1";
$result19 = mysql_query($sql19, $conexao2)or die("Falha na execu�ao da instru�ao"); 
$registros = mysql_num_rows($result19);
if($registros==0){
$sql9="INSERT INTO mdl_user (firstname,lastname,email,username,password,confirmed,description, mnethostid,lang) VALUES ('$primeiro_nome','$sobrenome','$email','$email','$senha',1,'Coordenador Geral',1, 'pt_br')";
$result9 = mysql_query($sql9, $conexao2)or die("Falha na execu�ao da instru�ao"); 
$id_user = mysql_insert_id();}
else{
while($dados=mysql_fetch_array($result19)){
$id_user =$dados['id'];
}
}


$sql10 = "INSERT INTO mdl_role_assignments (roleid,contextid,userid,timemodified,modifierid,sortorder,itemid) VALUES (9,'$id_context','$id_user',UNIX_TIMESTAMP(NOW()),'2','$id_nucleo','0')";
$result10 = mysql_query($sql10, $conexao2)or die("Falha na execu�ao da instru�ao");

///RECUPERA CHAVE///

$sql20 = "INSERT INTO `mdl_enrol` (`enrol`, `status`, `courseid`, `sortorder`, `name`, `enrolperiod`, `enrolstartdate`, `enrolenddate`, `expirynotify`, `expirythreshold`, `notifyall`, `password`, `cost`, `currency`, `roleid`, `customint1`, `customint2`, `customint3`, `customint4`, `customchar1`, `customchar2`, `customdec1`, `customdec2`, `customtext1`, `customtext2`, `timecreated`, `timemodified`) values
('manual', 0, '$id_curso', '$id_nucleo', NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, UNIX_TIMESTAMP(NOW()), UNIX_TIMESTAMP(NOW())),
('guest', 1, '$id_curso', '$id_nucleo', NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, UNIX_TIMESTAMP(NOW()), UNIX_TIMESTAMP(NOW())),
('self', 1, '$id_curso', '$id_nucleo', NULL, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, UNIX_TIMESTAMP(NOW()), UNIX_TIMESTAMP(NOW()))";

$result20 = mysql_query($sql20, $conexao2)or die("Falha na execu�ao da instru�ao");



$sql_chave = "SELECT id FROM mdl_enrol WHERE courseid='".$id_curso."' AND enrol='manual'";
$busca_chave = mysql_query($sql_chave, $conexao2);
 while($dados_chave = mysql_fetch_assoc($busca_chave)){
$chave =$dados_chave['id'];}

/////INSERE CHAVe///

$sql_insere_chave = "INSERT INTO mdl_user_enrolments (status,enrolid,userid,timestart,timeend,timecreated,timemodified,modifierid) VALUES ('0','".$chave."','".$id_user."',UNIX_TIMESTAMP(NOW()),'0',UNIX_TIMESTAMP(NOW()),UNIX_TIMESTAMP(NOW()),'2')";
mysql_query($sql_insere_chave, $conexao2);



 
  
 $sql40="UPDATE senuc_login set id_mdl='$id_user' where id='$id_login'";
$result40 = mysql_query($sql40,$conexao1)or die("Falha na execu�ao da instru�ao SQL!   3"); 

$sql41="UPDATE senuc_nucleo set id_mdl='$id_curso' where id='$id_nucleo'";
$result41 = mysql_query($sql41,$conexao1)or die("Falha na execu�ao da instru�ao SQL!   3"); 

echo msg(1,"registered.html");

 
function msg($status,$txt)
{
	return '{"status":'.$status.',"txt":"'.$txt.'"}';
}


  

?>
